Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.


Messages - Jouniv

Pages: [1]
1
I use cubiuntu 0.6 with 3.4.61+ kernel. How long uptimes have you gyus had? My uptimes are from about 4 days to two weeks. Suddenly cpu usage jumps to 100% and I can't ssh to cubie and cursor doesn't move/no response to keyboard. Might it be memory or cpu related problem? How can I change the cpu speed to lower value to test if that's the case?

2
Cubieboard v2 OS (A20 Based) / Re: 3.4.61+ kernel
« on: October 15, 2013, 04:04:22 am »
Thank you for including those logitech drivers! Works with my mouse properly.

3
Cubieboard v2 Images (A20 Based) / Re: CUBIUNTU A20
« on: October 07, 2013, 02:45:57 pm »
Thanks now the video decoding works with those libve libraries. Just wondering is there support for subtitles and hotkeys? Hotkeys don't seem to work for me. I get this piece of code everytime I run cvlc
Code: [Select]
[0xdce6a0] main libvlc error: interface "globalhotkeys,none" initialization failed(not sure if it's related to this or supposed to get when you use cvlc).

4
Cubieboard v2 Images (A20 Based) / Re: CUBIUNTU A20
« on: October 07, 2013, 09:57:22 am »
Thanks, now the default libraries work properly. I tried those libve libraries but don't seem to work. Install went fine but running this code gives an error(test code for the sintel_trailer)
Code: [Select]
./cvlc --demux ffmpeg --codec cedar --vout cedarfb --no-osd sintel_trailer-1080p.mp4
bash: ./cvlc: No such file or directory

Try removing the ./ from the beginning of your command; this is telling the shell to look for cvlc in your current directory.  This will probably only work if you run it in the vlc build directory.
No luck with that. Plays the same way as with default codec. Not sure what I did wrong this time :/ Echo command gives the correct library path so no idea what's wrong.
Code: [Select]
echo $LD_LIBRARY_PATH
/usr/local/hybris/lib
Try renaming /system to something else and rerunning cvlc.  If it still works, the library lookup is somehow broken.
Works properly so as you said probably the library lookup is broken.

5
Cubieboard v2 Images (A20 Based) / Re: CUBIUNTU A20
« on: October 07, 2013, 09:10:34 am »
Thanks, now the default libraries work properly. I tried those libve libraries but don't seem to work. Install went fine but running this code gives an error(test code for the sintel_trailer)
Code: [Select]
./cvlc --demux ffmpeg --codec cedar --vout cedarfb --no-osd sintel_trailer-1080p.mp4
bash: ./cvlc: No such file or directory

Try removing the ./ from the beginning of your command; this is telling the shell to look for cvlc in your current directory.  This will probably only work if you run it in the vlc build directory.
No luck with that. Plays the same way as with default codec. Not sure what I did wrong this time :/ Echo command gives the correct library path so no idea what's wrong.
Code: [Select]
echo $LD_LIBRARY_PATH
/usr/local/hybris/lib

6
Cubieboard v2 Images (A20 Based) / Re: CUBIUNTU A20
« on: October 06, 2013, 02:54:47 pm »
The current A10 and A20 cubiuntu can play 1080p videos using vlc.  The HW accelerator currently only support full-screen playback and is not supported by the browsers and doesn't support playing videos inside an X window (which is why youtube videos, even fairly low resolution ones, play back poorly and still use 100% CPU -- they're not using the video playback hardware).

So for now, the *only* high-quality video playback on either the CB1 or CB2 will be playing files full frame with something like vlc or XBMC.  Note that it should be possible to use either of these to play streaming videos from the internet, but I haven't actually tried this. 

There are people working on mplayer support, but this appears to be a work-in-progress and months away from being useful.
What codecs are supported? I tried to play h264 with vlc but got an error saying, that there is no support for h264. Command I used was this
Code: [Select]
cvlc --demux ffmpeg --codec cedar --vout cedarfb --no-osd <media file>. Should I edit it or something?

I am able to play all of these videos: http://samplemedia.linaro.org using the same command line you're using.  There are problems sometimes with seeking, especially with the sound screwing up after seeking; however, the video decodes fine.  I am also able to play the Sintel trailer using the libhybris libve with the android A20 blob, as described here: http://linux-sunxi.org/CedarX/libve.

Note that you may need to load the sun4i_cedar_mod driver and chmod 777 /dev/cedar_dev.
Thanks, now the default libraries work properly. I tried those libve libraries but don't seem to work. Install went fine but running this code gives an error(test code for the sintel_trailer)
Code: [Select]
./cvlc --demux ffmpeg --codec cedar --vout cedarfb --no-osd sintel_trailer-1080p.mp4
bash: ./cvlc: No such file or directory

7
Cubieboard v2 Images (A20 Based) / Re: CUBIUNTU A20
« on: October 05, 2013, 02:10:10 pm »
The current A10 and A20 cubiuntu can play 1080p videos using vlc.  The HW accelerator currently only support full-screen playback and is not supported by the browsers and doesn't support playing videos inside an X window (which is why youtube videos, even fairly low resolution ones, play back poorly and still use 100% CPU -- they're not using the video playback hardware).

So for now, the *only* high-quality video playback on either the CB1 or CB2 will be playing files full frame with something like vlc or XBMC.  Note that it should be possible to use either of these to play streaming videos from the internet, but I haven't actually tried this. 

There are people working on mplayer support, but this appears to be a work-in-progress and months away from being useful.
What codecs are supported? I tried to play h264 with vlc but got an error saying, that there is no support for h264. Command I used was this
Code: [Select]
cvlc --demux ffmpeg --codec cedar --vout cedarfb --no-osd <media file>. Should I edit it or something?

8
Cubieboard v2 Images (A20 Based) / Re: CUBIUNTU A20
« on: September 24, 2013, 12:44:53 am »
I tried this release with the newest image 0.6.4 I can get it to boot to desktop and my keyboard works properly. But my mouse doesn't seem to work with this. It's Logitech Marathon Mouse M705 wireless with unifying receiver. Tried to plug the receiver directly to other usb port but still doesn't work. Mouse+keyboard works perfectly with cubieez even behind a splitter. Any suggestions how to get mice to work with this image?

EDIT: with the new 3.4.43 kernel cubieez has the same problem.

Have you solved your problem? I have a similar issue.
I haven't. Probably have to compile the new kernel with Logitech unifying enabled.

9
Cubieboard v2 Images (A20 Based) / Re: CUBIUNTU A20
« on: September 11, 2013, 10:08:03 am »
I tried this release with the newest image 0.6.4 I can get it to boot to desktop and my keyboard works properly. But my mouse doesn't seem to work with this. It's Logitech Marathon Mouse M705 wireless with unifying receiver. Tried to plug the receiver directly to other usb port but still doesn't work. Mouse+keyboard works perfectly with cubieez even behind a splitter. Any suggestions how to get mice to work with this image?

EDIT: with the new 3.4.43 kernel cubieez has the same problem.

10
Cubieboard v2 Images (A20 Based) / Re: MALI SUPPORT
« on: September 07, 2013, 03:33:35 am »
Hello!

someone have the mali module (mali.ko) compiled for cubieez  in cubiebpard 2 kernel 3.3.0+?  someone could post it? how can I get it?

I'll be very gratefully if someone helps me!

Thanks in advance!
Not for 3.3.0, and at this point, probably never for this kernel version.  Almost all kernel development work has shifted to the 3.4.x tree; 3.3.0 is deprecated.

Try this instead: http://dl.cubieforums.com/patwood/A20-kernel-3.4.43.tar.gz.

Try to replace Cubieez original kernel with patwood's one. I'm pretty sure it would work, but I can't test it for myself right now.

For those who want to compile the kernel I'm attaching a .config file for 3.4.43 A20 branch.

Don't forget to add to your /etc/modules the following lines:

gpio_sunxi
mali


That's all  8)
Would be nice to have detailed instructions how to do this(shell commands etc.). Tried to google kernel compiling, but instructions are hard to follow. Is there something special related to compiling kernel for A20 etc.

Pages: [1]